#include <bits/stdc++.h>
using namespace std;
long pow1(long x,long y)
{
   if(y==1){
    return x;
   }
   else
    return pow1(x,y-1)*x;

}
int main()
{
    ifstream f1("DQU.inp");
    ofstream f2("DQU.out");
    long a,b,dem=0;
    f1>>a>>b;
    for(long j=1;j<=a;j++){
        dem=dem+pow1(j,b);
    }
    f2<<dem;
    f1.close();
    f2.close();
}
